libkrb5-1.16-alt1.S1.x86_64.rpm


Advertisement

Description

libkrb5 - The shared libraries used by Kerberos 5

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libkrb5
Package version 1.16
Package release alt1.S1
Package architecture x86_64
Package type rpm
Installed size 2.23 MB
Download size 2.23 MB
Official Mirror ftp.altlinux.org
Kerberos is a network authentication system.  This package contains
the shared libraries needed by Kerberos 5.  If you are using Kerberos,
you need to install this package.

Alternatives

Package Version Architecture Repository
libkrb5-1.16-alt1.S1.i586.rpm 1.16 i586 Classic
libkrb5 - - -

Requires

Name Value
/usr/sbin/groupadd -
gawk -
libc.so.6()(64bit) -
libc.so.6(ALT_2.24)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.16)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.8)(64bit) -
libcom_err.so.2()(64bit) -
libcrypto.so.10()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libkeyutils.so.1()(64bit) -
libkeyutils.so.1(KEYUTILS_0.3)(64bit) -
libkeyutils.so.1(KEYUTILS_1.0)(64bit) -
libkeyutils.so.1(KEYUTILS_1.5)(64bit) -
libresolv.so.2()(64bit) -
libresolv.so.2(GLIBC_2.2.5)(64bit) -
libselinux.so.1()(64bit) -
libssl.so.10()(64bit) -
libverto.so.1()(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libgssapi_krb5.so.2()(64bit) -
libgssapi_krb5.so.2(HIDDEN)(64bit) -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) -
libgssrpc.so.4()(64bit) -
libgssrpc.so.4(HIDDEN)(64bit) -
libgssrpc.so.4(gssrpc_4_MIT)(64bit) -
libk5crypto.so.3()(64bit) -
libk5crypto.so.3(HIDDEN)(64bit) -
libk5crypto.so.3(k5crypto_3_MIT)(64bit) -
libkadm5clnt_mit.so.11()(64bit) -
libkadm5clnt_mit.so.11(HIDDEN)(64bit) -
libkadm5clnt_mit.so.11(kadm5clnt_mit_11_MIT)(64bit) -
libkadm5srv_mit.so.11()(64bit) -
libkadm5srv_mit.so.11(HIDDEN)(64bit) -
libkadm5srv_mit.so.11(kadm5srv_mit_11_MIT)(64bit) -
libkdb5.so.9()(64bit) -
libkdb5.so.9(HIDDEN)(64bit) -
libkdb5.so.9(kdb5_9_MIT)(64bit) -
libkrad.so.0()(64bit) -
libkrad.so.0(HIDDEN)(64bit) -
libkrad.so.0(krad_0_MIT)(64bit) -
libkrb5 = 1.16-alt1.S1
libkrb5.so.3()(64bit) -
libkrb5.so.3(HIDDEN)(64bit) -
libkrb5.so.3(krb5_3_MIT)(64bit) -
libkrb5support.so.0()(64bit) -
libkrb5support.so.0(HIDDEN)(64bit) -
libkrb5support.so.0(krb5support_0_MIT)(64bit) -

Download

Type URL
Binary Package libkrb5-1.16-alt1.S1.x86_64.rpm
Source Package krb5-1.16-alt1.S1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libkrb5 rpm package:
    # sudo apt-get install libkrb5

Files

Path
/etc/krb5.conf
/etc/krb5.conf.d
/etc/krb5.keytab
/etc/gss/mech.d
/lib64/libgssapi_krb5.so.2
/lib64/libgssapi_krb5.so.2.2
/lib64/libk5crypto.so.3
/lib64/libk5crypto.so.3.1
/lib64/libkrb5.so.3
/lib64/libkrb5.so.3.3
/lib64/libkrb5support.so.0
/lib64/libkrb5support.so.0.1
/usr/lib64/libgssrpc.so.4
/usr/lib64/libgssrpc.so.4.2
/usr/lib64/libkadm5clnt_mit.so.11
/usr/lib64/libkadm5clnt_mit.so.11.0
/usr/lib64/libkadm5srv_mit.so.11
/usr/lib64/libkadm5srv_mit.so.11.0
/usr/lib64/libkdb5.so.9
/usr/lib64/libkdb5.so.9.0
/usr/lib64/libkrad.so.0
/usr/lib64/libkrad.so.0.0
/usr/lib64/krb5/
/usr/lib64/krb5/plugins/
/usr/lib64/krb5/plugins/kdb/db2.so
/usr/lib64/krb5/plugins/preauth/otp.so
/usr/lib64/krb5/plugins/preauth/pkinit.so
/usr/lib64/krb5/plugins/tls/k5tls.so
/usr/share/locale/de/LC_MESSAGES/mit-krb5.mo
/usr/share/locale/en_US/LC_MESSAGES/mit-krb5.mo
/usr/share/man/man5/krb5.conf.5.xz
/var/lib/kerberos/
/var/lib/kerberos/krb5/user

Changelog

2018-01-22 - Evgeny Sinelnikov <sin@altlinux.org> 1.16-alt1.S1
- Update to latest stable release 1.16
2017-11-03 - Evgeny Sinelnikov <sin@altlinux.org> 1.15.2-alt2.S1
- Fix build-pdf on Sisyphus
- Add noport, nss_wrapper and socket_wrapper for tests running
2017-11-01 - Evgeny Sinelnikov <sin@altlinux.org> 1.15.2-alt1.S1
- Update to latest stable release 1.15.2 with kdcpreauth from 1.16.x
2017-08-20 - Evgeny Sinelnikov <sin@altlinux.ru> 1.15.1-alt1.S1
- Update to latest stable release 1.15.1 with kdcpreauth from 1.16.x
2017-03-24 - Evgeny Sinelnikov <sin@altlinux.ru> 1.14.5-alt1.S1
- Update to first spring release 1.14.5
2017-02-28 - Evgeny Sinelnikov <sin@altlinux.ru> 1.14.4-alt2.S1
- Add _keytab group for default keytab /etc/krb5.keytab
2017-02-15 - Evgeny Sinelnikov <sin@altlinux.ru> 1.14.4-alt1.S1
- 1.14.4
- fixed CVE-2016-3120
2016-06-09 - Anton V. Boyarshinov <boyarsh@altlinux.org> 1.14.2-alt2
- krb5kdc.service: start after slapd
2016-04-25 - Alexey Shabalin <shaba@altlinux.ru> 1.14.2-alt1
- 1.14.2
- fixed CVE-2015-2695,CVE-2015-2696,CVE-2015-2697,CVE-2015-2698,CVE-2015-8629,CVE-2015-8630,CVE-2015-8631,CVE-2016-3119
- allow verification of attributes on krb5.conf
2015-11-16 - Andrey Cherepanov <cas@altlinux.org> 1.13.2-alt2
- Comment out includedir directive in /etc/krb5.conf because samba
cannot get Kerberos context while domain provision

See Also

Package Description
libkrb5-devel-1.16-alt1.S1.x86_64.rpm Development files needed to compile Kerberos 5 programs
libkrb5-ldap-1.16-alt1.S1.x86_64.rpm The shared Kerberos 5 libraries, LDAP support
libkrb5user-0.1.2-alt3.qa2.1.x86_64.rpm User helper library for MIT Kerberos
libkrb5user-devel-0.1.2-alt3.qa2.1.x86_64.rpm Headers for developing with MIT Kerberos user helper library
libkrdccore4-15.12.1-alt2.x86_64.rpm kde4network libraries
libkrdccore5-18.04.3-alt1.S1.x86_64.rpm KF5 library
libkremotecontrol4-15.12.1-alt3.x86_64.rpm KDE 4 library
libkreport34-3.1.0-alt1.S1.x86_64.rpm kf5-kreport library
libkresources4-4.14.11-alt9.S1.x86_64.rpm kde4pimlibs libraries
libkrfbprivate4-15.12.1-alt2.x86_64.rpm kde4network libraries
libkrfbprivate5-18.04.3-alt1.S1.x86_64.rpm KF5 library
libkritabasicflakes18-3.3.2-alt2.S1.x86_64.rpm krita library
libkritacolor18-3.3.2-alt2.S1.x86_64.rpm krita library
libkritacolord18-3.3.2-alt2.S1.x86_64.rpm krita library
libkritaflake18-3.3.2-alt2.S1.x86_64.rpm krita library
Advertisement
Advertisement